Crazy Eddies GUI System: CEGUI::FalagardScrollbar Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes
CEGUI::FalagardScrollbar Class Reference

Scrollbar class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardScrollbar:
[legend]
Collaboration diagram for CEGUI::FalagardScrollbar:
[legend]

List of all members.

## Public Member Functions
| FalagardScrollbar (const String &type)
| type name for this widget.
bool | isVertical () const
void | setVertical (bool setting)
void | render ()
| Populate render cache.
void | performChildWindowLayout ()
| Method called to perform extended laying out of the window's attached child windows.
## Static Public Attributes
static const utf8 | TypeName []
## Protected Member Functions
void | updateThumb (void)
| update the size and location of the thumb to properly represent the current state of the scroll bar
float | getValueFromThumb (void) const
| return value that best represents current scroll bar position given the current location of the thumb.
float | getAdjustDirectionFromPoint (const Point &pt) const
| Given window location pt, return a value indicating what change should be made to the scroll bar.
## Protected Attributes
bool | d_vertical
| True if slider operates in vertical direction.
## Static Protected Attributes
static FalagardScrollbarProperties::VerticalScrollbar | d_verticalProperty

## Detailed Description

Scrollbar class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled

Named Areas:

- ThumbTrackArea

Child Widgets: Thumb based widget with name suffix "__auto_thumb__" PushButton based widget with name suffix "__auto_incbtn__" PushButton based widget with name suffix "__auto_decbtn__"

Property initialiser definitions:

- VerticalScrollbar - boolean property. Indicates whether this scrollbar will operate in the vertical or horizontal direction. Default is for horizontal. Optional.

## Constructor & Destructor Documentation

CEGUI::FalagardScrollbar::FalagardScrollbar | ( | const String & | type | ) |

type name for this widget.

Constructor

## Member Function Documentation

float CEGUI::FalagardScrollbar::getAdjustDirectionFromPoint | ( | const Point & | pt | ) | const`[protected, virtual]`

Given window location pt, return a value indicating what change should be made to the scroll bar.

Parameters:

  pt | Point object describing a pixel position in window space.

Returns:
  - -1 to indicate scroll bar position should be moved to a lower value.
  - 0 to indicate scroll bar position should not be changed.
  - +1 to indicate scroll bar position should be moved to a higher value.

Implements CEGUI::ScrollbarWindowRenderer.

float CEGUI::FalagardScrollbar::getValueFromThumb | ( | void |  | ) | const`[protected, virtual]`

return value that best represents current scroll bar position given the current location of the thumb.

Returns:
  float value that, given the thumb widget position, best represents the current position for the scroll bar.

Implements CEGUI::ScrollbarWindowRenderer.

void CEGUI::FalagardScrollbar::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.